#
# spec file for package python-Yapps2
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-Yapps2
Version:        2.1.1
Release:        1.3
License:        MIT
Summary:        An easy to use parser generator producing human-readable Python code
Url:            http://theory.stanford.edu/~amitp/yapps/
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/Y/Yapps2/yapps2-%{version}-17.1.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Yapps (Yet Another Python Parser System) is an easy to use parser generator that
is written in Python and generates Python code.  Yapps is simple, is easy to
use, and produces human-readable parsers.  It is not fast, powerful, or
particularly flexible.  Yapps is designed to be used when regular expressions
are not enough and other parser systems are too much -- situations where you may
write your own recursive descent parser.

%prep
%setup -q -n yapps2-%{version}-17.1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Fri Aug  2 2013 alexandre@exatati.com.br
- Initial package (2.1.1-17.1) for openSUSE.
